#
# spec file for package moon-lander (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_image SDL_image-devel SDL_mixer alsa audiofile esound kdelibs-artsd libjpeg libpng xf86
# usedforbuild    SDL SDL-devel SDL_image SDL_image-devel SDL_mixer aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         moon-lander
Copyright:    BSD
Group:        Amusements/Games
#Requires:     xforms
Autoreqprov:  on
Version:      1.0
Release:      91
Summary:      a 2D game of gravity
Source: %{name}-%{version}.tar.bz2
Patch:  %{name}.dif

%description
Moon Lander is a 2D game of gravity.  Land your ship on the landing pad.  Don't go too fast, or you will crash.

Authors:
--------
    David J. Blood <geekd@yahoo.com> 
    Mike Heckman <mike@heckman.net> 
    Ryan Daniels <pacmanfever@hotmail.com> 
    Brian "Mo" Degenhardt <bmd@mp3.com> 
    Garrett Banuk <mongoose@wpi.edu>

SuSE series: fun

%prep
%setup -n %{name}
%patch

%build
export RPM_OPT_FLAGS
make

%install
make install
strip /usr/share/games/moon-lander/moon-lander.bin

%files
%doc README.txt
%dir /usr/share/games/moon-lander
%dir /usr/share/games/moon-lander/fonts
%dir /usr/share/games/moon-lander/images
%dir /usr/share/games/moon-lander/images/backgrounds
%dir /usr/share/games/moon-lander/images/kablam
%dir /usr/share/games/moon-lander/sounds
/usr/X11R6/bin/moon-lander
/usr/share/games/moon-lander/fonts/ConsoleFont.bmp
/usr/share/games/moon-lander/fonts/LargeFont.bmp
/usr/share/games/moon-lander/images/backgrounds/blue_nebula.jpg
/usr/share/games/moon-lander/images/backgrounds/earth_moon.jpg
/usr/share/games/moon-lander/images/backgrounds/fingers.jpg
/usr/share/games/moon-lander/images/backgrounds/fire_and_planet.jpg
/usr/share/games/moon-lander/images/backgrounds/glowing_nebula.jpg
/usr/share/games/moon-lander/images/backgrounds/orange_gas.jpg
/usr/share/games/moon-lander/images/backgrounds/red_plain.jpg
/usr/share/games/moon-lander/images/backgrounds/saturn.jpg
/usr/share/games/moon-lander/images/blank_terrain.gif
/usr/share/games/moon-lander/images/kablam/exp01.png
/usr/share/games/moon-lander/images/kablam/exp02.png
/usr/share/games/moon-lander/images/kablam/exp03.png
/usr/share/games/moon-lander/images/kablam/exp04.png
/usr/share/games/moon-lander/images/kablam/exp05.png
/usr/share/games/moon-lander/images/kablam/exp06.png
/usr/share/games/moon-lander/images/kablam/exp07.png
/usr/share/games/moon-lander/images/kablam/exp08.png
/usr/share/games/moon-lander/images/kablam/exp09.png
/usr/share/games/moon-lander/images/kablam/exp10.png
/usr/share/games/moon-lander/images/kablam/exp11.png
/usr/share/games/moon-lander/images/kablam/exp12.png
/usr/share/games/moon-lander/images/kablam/exp13.png
/usr/share/games/moon-lander/images/kablam/exp14.png
/usr/share/games/moon-lander/images/kablam/exp15.png
/usr/share/games/moon-lander/images/kablam/exp16.png
/usr/share/games/moon-lander/images/kablam/exp17.png
/usr/share/games/moon-lander/images/kablam/exp18.png
/usr/share/games/moon-lander/images/kablam/exp19.png
/usr/share/games/moon-lander/images/kablam/exp20.png
/usr/share/games/moon-lander/images/kablam/exp21.png
/usr/share/games/moon-lander/images/kablam/exp22.png
/usr/share/games/moon-lander/images/kablam/exp23.png
/usr/share/games/moon-lander/images/kablam/exp24.png
/usr/share/games/moon-lander/images/kablam/exp25.png
/usr/share/games/moon-lander/images/logo.png
/usr/share/games/moon-lander/images/magigames_steel.gif
/usr/share/games/moon-lander/images/miniship2.bmp
/usr/share/games/moon-lander/images/moon-lander.ico
/usr/share/games/moon-lander/images/newship.png
/usr/share/games/moon-lander/images/thrust1.png
/usr/share/games/moon-lander/images/thrust2.png
/usr/share/games/moon-lander/images/thrust_left.bmp
/usr/share/games/moon-lander/images/thrust_right.bmp
/usr/share/games/moon-lander/images/win_icon.bmp
/usr/share/games/moon-lander/moon-lander.bin
/usr/share/games/moon-lander/sounds/Blaster_1.wav
/usr/share/games/moon-lander/sounds/Retro_3.wav
/usr/share/games/moon-lander/sounds/Space_Bubbles_2.wav
/usr/share/games/moon-lander/sounds/beep1b.wav
/usr/share/games/moon-lander/sounds/eagle_has_landed.wav
/usr/share/games/moon-lander/sounds/explosion2.wav
/usr/share/games/moon-lander/sounds/honk.wav
/usr/share/games/moon-lander/sounds/jet_lp.wav

%changelog -n moon-lander
* Thu Aug 23 2001 - uli@suse.de
- initial package
